diff --git a/tensorflow/lite/tools/make/Makefile b/tensorflow/lite/tools/make/Makefile
index b78fb14b78..ee97bb6679 100644
--- a/tensorflow/lite/tools/make/Makefile
+++ b/tensorflow/lite/tools/make/Makefile
@@ -39,6 +39,8 @@ INCLUDES := \
 -I$(MAKEFILE_DIR)/downloads/neon_2_sse \
 -I$(MAKEFILE_DIR)/downloads/farmhash/src \
 -I$(MAKEFILE_DIR)/downloads/flatbuffers/include \
+-I$(MAKEFILE_DIR)/downloads/googletest/googletest/include/ \
+-I$(MAKEFILE_DIR)/downloads/googletest/googlemock/include/ \
 -I$(MAKEFILE_DIR)/downloads/fp16/include \
 -I$(OBJDIR)
 # This is at the end so any globally-installed frameworks like protobuf don't
@@ -51,13 +53,15 @@ LIBS := \
 -lstdc++ \
 -lpthread \
 -lm \
--lz
+-lz \
+${CK_EXTRA_LIB_RT} \
+${CK_EXTRA_LIB_ATOMIC}
 
 # There are no rules for compiling objects for the host system (since we don't
 # generate things like the protobuf compiler that require that), so all of
 # these settings are for the target compiler.
 CFLAGS := -O3 -DNDEBUG -fPIC
-CXXFLAGS := $(CFLAGS) --std=c++11 $(EXTRA_CXXFLAGS)
+CXXFLAGS := $(CFLAGS) --std=c++11 -flax-vector-conversions -fomit-frame-pointer -DTFLITE_WITH_RUY $(EXTRA_CXXFLAGS)
 LDOPTS := -L/usr/local/lib
 ARFLAGS := -r
 TARGET_TOOLCHAIN_PREFIX :=
@@ -229,7 +233,7 @@ ALL_SRCS := \
 	$(CMD_LINE_TOOLS_SRCS)
 
 # Where compiled objects are stored.
-TARGET_OUT_DIR ?= $(TARGET)_$(TARGET_ARCH)
+#TARGET_OUT_DIR ?= $(TARGET)_$(TARGET_ARCH)
 GENDIR := $(MAKEFILE_DIR)/gen/$(TARGET_OUT_DIR)/
 OBJDIR := $(GENDIR)obj/
 BINDIR := $(GENDIR)bin/
